Bug 1128122 - "ntp=" kernel command line parameter doesn't work
Summary: "ntp=" kernel command line parameter doesn't work
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: 3.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Fabian Deutsch
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 10:42 UTC by Netbulae
Modified: 2016-02-10 19:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-04 08:52:33 UTC
oVirt Team: Node


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31328 master MERGED selinux: Update rules Never

Description Netbulae 2014-08-08 10:42:49 UTC
I specified "ntp=**.***.***.**" on the PXE boot but the node still tries external ntp servers that are not reachable through our firewall.

Aug 8 12:36:30 	DMZ **.***.***.**:123	5.39.184.5:123      UDP block
Aug 8 12:36:29 	DMZ **.***.***.**:123	146.185.130.223:123 UDP block

It should connect to the firewall ip I tell it to connect to.

Comment 1 Netbulae 2014-08-11 09:59:43 UTC
Sorry, forgot to add "enforcing=0" to the pxe boot config.

So it appears to be an selinux error..

The NTP service during install still fails, but after reboot it's fine.

I don't know how this impacts the certificate generation at install though.

Comment 2 Fabian Deutsch 2014-09-04 08:52:33 UTC
Fixed with 8e48be35e70d41027d60d93e569e9bbcbfd829bf


Note You need to log in before you can comment on or make changes to this bug.